# Create a GB Bank Account

Create a GB bank account.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/vault/gb_bank_accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --json '{
    "sort_code": "108800",
    "account_number": "00012345",
    "currency": "gbp"
  }'
```

### Response

```json
{
  "id": "gbba_test_61QxvysjMYlAri7b116NoALk2zSQmWXk6WVQ0RRC4FH6",
  "object": "v2.core.vault.gb_bank_account",
  "archived": false,
  "bank_account_type": "checking",
  "bank_name": "Test Bank",
  "last4": "2345",
  "created": "2024-08-16T21:49:30.380Z",
  "sort_code": "108800",
  "supported_currencies": [
    "gbp"
  ],
  "confirmation_of_payee": {
    "result": {
      "created": "2024-10-25T17:29:53.000Z",
      "match_result": "partial_match",
      "matched": {
        "business_type": "personal",
        "name": "Jenny Rosen"
      },
      "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.",
      "provided": {
        "business_type": "personal",
        "name": "Jennifer Rosen"
      }
    },
    "status": "confirmed"
  },
  "livemode": true
}
```

## Parameters

- `currency` (string, required)
  The currency of the bank account.

- `account_number` (string, optional)
  The Account Number of the bank account.

- `bank_account_type` (enum, optional)
  The type of the bank account (checking or savings).
Possible enum values:
  - `checking`
    Checking account.

  - `savings`
    Savings account.

- `iban` (string, optional)
  The IBAN of the bank account.

- `sort_code` (string, optional)
  The Sort Code of the bank account.

## Returns

Returns a [GB Bank Account object](https://docs.stripe.com/api/v2/core/vault/gb-bank-accounts/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | blocked_gb_bank_account | Returned in cases where the bank account cannot be used due to suspicious activity. |
| 400 | gb_bank_account_incompatible_currency | Returned in cases where the currency provided is incompatible with GB bank accounts. This occurs when the credentials provided do not match with the currency provided. |
| 400 | gb_bank_account_unsupported_currency | Returned in cases where the currency provided is unsupported for the GB bank accounts. This occurs when the currency provided is not supported for GB regardless of the credentials provided. |
| 400 | invalid_gb_bank_account | Returned in cases where the bank account provided is not valid (wrong format of account number or a routing number that does not correspond to a banking institution). |
| 400 | limit_gb_bank_account | Returned when the number of GBBankAccount objects on a given V2 Account has exceeded the limit of 10. GBBankAccount objects may be archived with /archive, at which point they will not count against the limit. If you are not passing a V2 Account ID in the Stripe-Context header you may receive this error since you are creating all your GBBankAccount objects in your own workspace. |
| 400 | unsupported_gb_bank | Returned in cases where Stripe is unable to support this bank at this time. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
